Bug 139142 - Directly applied font is reset from Input List field after saving to DOCX and reloading
Summary: Directly applied font is reset from Input List field after saving to DOCX and...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Fields
  Show dependency treegraph
 
Reported: 2020-12-22 06:12 UTC by Mike Kaganski
Modified: 2021-11-11 18:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example ODT (8.31 KB, application/vnd.oasis.opendocument.text)
2021-11-11 15:31 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2020-12-22 06:12:51 UTC
Directly applied font is reset back to font of paragraph style from Input List field when saving to DOCX and reloading.

1. In a new text document, insert an Input List field (Insert->Field->More Fields->Functions) with some items.

2. Type some normal text after the field.

3. Select all, and directly set some different font (e.g., using Font Name control on Formatting toolbar).

=> check that both the text in the field and the normal text are displayed using that directly applied font.

4. Save to DOCX and reload

=> check that normal text still has the directly set font, while the field has the font originally defined for the paragraph style.

Tested with Version: 7.0.4.1 (x64)
Build ID: e3cebc55238632eae061a3da668963d484a71147
CPU threads: 12; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: CL
Comment 1 mulla.tasanim 2020-12-23 04:39:47 UTC
Thank you for reporting the bug.

I can not reproduce the bug in

Version: 7.2.0.0.alpha0+ (x64)
Build ID: 761a672d62df1891b9f4f367a499b220ab2b33fa
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL

Version: 7.0.3.1 (x64)
Build ID: d7547858d014d4cf69878db179d326fc3483e082
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL
Comment 2 Buovjaga 2021-11-11 15:31:07 UTC
Created attachment 176195 [details]
Example ODT

I reproduce

Arch Linux 64-bit
Version: 7.3.0.0.alpha1+ / LibreOffice Community
Build ID: 9f8e4bd8501e9bb9e286cffed5f35d0f0075e9b8
CPU threads: 8; OS: Linux 5.14; UI render: default; VCL: kf5 (cairo+xcb)
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 11 November 2021
Comment 3 Buovjaga 2021-11-11 15:40:36 UTC
Bibisected with linux-64-6.3 to https://git.libreoffice.org/core/commit/35ea8fc24ae749b8a87b7ddb5df22ecc4f58cfd3
tdf#122186: Fix broken Input list after RT in DOCX format